package space.nstart.pcp.complan.utils.extensions

import org.locationtech.jts.geom.CoordinateFilter
import org.locationtech.jts.geom.Geometry
import kotlin.math.PI


fun Geometry.radiansToDegrees(): Geometry {
    // Создаём копию, чтобы не мутировать оригинал
    val copy = this.copy() as Geometry

    // Применяем фильтр, который конвертирует радианы → градусы
    copy.apply(CoordinateFilter { coord ->
        coord.x = coord.x * 180.0 / PI  // долгота
        coord.y = coord.y * 180.0 / PI  // широта
    })

    return copy
}